'use strict';

exports.mapKeys = (src, iteratee) => Object.keys(src || {})
  .reduce((acc, key) => Object.assign(acc, {
    [iteratee(key)]: src[key],
  }), {})
;

exports.mapValues = (src, iteratee) => Object.keys(src || {})
  .reduce((acc, key) => Object.assign(acc, {
    [key]: iteratee(src[key]),
  }), {})
;
